# Method: skuGroups.skus.list

- [HTTP request](https://docs.cloud.google.com/billing/docs/reference/pricing-api/rest/v1beta/skuGroups.skus/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/billing/docs/reference/pricing-api/rest/v1beta/skuGroups.skus/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/billing/docs/reference/pricing-api/rest/v1beta/skuGroups.skus/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/billing/docs/reference/pricing-api/rest/v1beta/skuGroups.skus/list#body.request_body)
- [Response body](https://docs.cloud.google.com/billing/docs/reference/pricing-api/rest/v1beta/skuGroups.skus/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/billing/docs/reference/pricing-api/rest/v1beta/skuGroups.skus/list#body.ListSkuGroupSkusResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/billing/docs/reference/pricing-api/rest/v1beta/skuGroups.skus/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/billing/docs/reference/pricing-api/rest/v1beta/skuGroups.skus/list#try-it)

Lists all publicly listed SKUs contained by a publicly listed `SKU group`.

### HTTP request

`GET https://cloudbilling.googleapis.com/v1beta/{parent=skuGroups/*}/skus`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The `SkuGroup` to list `SkuGroupSku` from. Format: skuGroups/{skuGroup} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum number of `SKU group SKUs` to return. Results may return fewer than this value. Default value is 50 and maximum value is 5000. |
| `pageToken` | `string` Page token received from a previous `skus.list` call to retrieve the next page of results. If this field is empty, the first page is returned. |

### Request body

The request body must be empty.

### Response body

Response message for \[skus.list\]\[google.cloud.billing.skugroupskus.v1main.ListSkuGroupSkus\].

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "skuGroupSkus": [ { object (`https://docs.cloud.google.com/billing/docs/reference/pricing-api/rest/v1beta/skuGroups.skus#SkuGroupSku`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `skuGroupSkus[]` | ``object (`https://docs.cloud.google.com/billing/docs/reference/pricing-api/rest/v1beta/skuGroups.skus#SkuGroupSku`)`` The returned `SKU group SKUs`. |
| `nextPageToken` | `string` Token that can be sent as `pageToken` in the subsequent request to retrieve the next page. If this field is empty, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloud-billing`
- `https://www.googleapis.com/auth/cloud-billing.readonly`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).